AGAVERelatedAnnotPropHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVERelatedAnnotPropHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVERelatedAnnotPropHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXPropertyHandler
              org.biojava.bio.seq.io.agave.AGAVERelatedAnnotPropHandler

All Implemented Interfaces:
  AGAVEEvidenceCallbackItf, StAXContentHandler

    public class AGAVERelatedAnnotPropHandler

extends StAXPropertyHandler
implements AGAVEEvidenceCallbackItf

Field Summary
`static StAXHandlerFactory` | `AGAVE_RELATED_ANNOT_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` | `addElementId(String id)`
`void` | `addProperty(AGAVEProperty prop)`
`void` | `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` | `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`addHandler, endElement, getHandlerStackIterator, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_RELATED_ANNOT_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_RELATED_ANNOT_PROP_HANDLER_FACTORY

Method Detail

### addElementId

    public void addElementId(String id)

  Specified by:
    `addElementId` in interface `AGAVEEvidenceCallbackItf`

### addProperty

    public void addProperty(AGAVEProperty prop)

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXPropertyHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXPropertyHandler`
  Throws:
    `SAXException`

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)
                           throws SAXException

  Description copied from class: `StAXPropertyHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXPropertyHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD